local name, ns = ...
WhoRoll = LibStub("AceAddon-3.0"):NewAddon(name, "AceEvent-3.0", "AceTimer-3.0", "AceHook-3.0")
local WhoRoll = WhoRoll

local debug = ns.debug
WhoRoll.debug = debug

-- globals
local _G = _G
local GREED = GREED
local NEED = NEED
local PASS = PASS
local DISENCHANT = ROLL_DISENCHANT
local YOU = _G.YOU
local GetItemInfo = _G.GetItemInfo
local GetLootRollItemLink = _G.GetLootRollItemLink
local GetLootRollItemInfo = _G.GetLootRollItemInfo

local dbDefaults = {
	profile = {
		maxHistory = 10,
		qualityThreshold = 2,
		log = {},
	},
	char = {
		lootHistory = {},
	},
}

local db
function WhoRoll:OnInitialize()
	db = LibStub("AceDB-3.0"):New("WhoRollDB", dbDefaults, "Default")
	self.db = db
	debug("numitems oninit", C_LootHistory.GetNumItems())
end

function WhoRoll:OnEnable()
	debug("numitems onenable", C_LootHistory.GetNumItems())
    self:RegisterEvent("LOOT_HISTORY_FULL_UPDATE", "UpdateTooltip");
    self:RegisterEvent("LOOT_HISTORY_ROLL_COMPLETE", "UpdateTooltip");
    self:RegisterEvent("LOOT_HISTORY_ROLL_CHANGED", "UpdateTooltip");
    self:RegisterEvent("LOOT_HISTORY_AUTO_SHOW", "UpdateTooltip");
	self:UpdateTooltip()
end
